<?php

/**
 * @file
 * Provides preprocess logic and other functionality for theming.
 */

require_once dirname(__FILE__) . '/tweme_core.utils.inc';

/**
 * Implements hook_css_alter().
 */
function tweme_core_css_alter(&$css) {
  // ...
}

/**
 * Implements hook_js_alter().
 */
function tweme_core_js_alter(&$js) {
  _tweme_upgrade_jquery($js['misc/jquery.js']);
}

/**
 * Preprocesses variables for html.tpl.php.
 */
function tweme_core_preprocess_html(&$vars) {

  // Connect Twitter Bootstrap:
  if ($path = theme_get_setting('bootstrap_path')) {
    _tweme_connect_lib('css', $path . '/css/bootstrap.min.css');
    _tweme_connect_lib('css', $path . '/css/bootstrap-responsive.min.css');
    _tweme_connect_lib('js', $path . '/js/bootstrap.min.js');
  }
  // Connect HTML5 Shiv:
  if ($path = theme_get_setting('html5shiv_path')) {
    _tweme_connect_lib('js', $path . '/html5shiv.min.js', array('browsers' => 'obsolete'));
  }
  // Connect Respond.js:
  if ($path = theme_get_setting('respondjs_path')) {
    _tweme_connect_lib('js', $path . '/respond.min.js', array('browsers' => 'obsolete'));
  }
  // Connect Font Awesome:
  if ($path = theme_get_setting('fontawesome_path')) {
    _tweme_connect_lib('css', $path . '/css/font-awesome.min.css');
  }
}

/**
 * Processes variables for html.tpl.php.
 */
function tweme_core_process_html(&$vars) {
  if ($body_top = _tweme_region_blocks_markup('body_top')) {
    $vars['page_top'] = '<div class="conceal">' . $body_top . '</div>' . $vars['page_top'];
  }
  if ($body_bottom = _tweme_region_blocks_markup('body_bottom')) {
    $vars['page_bottom'] .= '<div class="conceal">' . $body_bottom . '</div>';
  }
  $vars['head_bottom'] = _tweme_add_html_head_bottom();
}
