<?php

/**
 * @file
 * Custom theme implementation to display a single Drupal page.
 */

?>

<!-- Navbar -->
<div class="zone zone--navbar">
  <div class="navbar navbar-inverse navbar-static-top" role="navigation">
    <div class="container">
      <div class="navbar-header">
        <?php print $navbar_toggler ?>
        <?php print $navbar_brand ?>
      </div>
      <nav class="collapse navbar-collapse" role="navigation">
        <?php print $navbar_menu ?>
        <?php print $navbar_search ?>
      </nav>
    </div>
  </div>
</div>

<!-- Header -->
<header class="zone zone--header">
  <?php if ($page['header']): ?>
    <?php print render($page['header']) ?>
  <?php else: ?>
  <div class="container">
    <div class="zone-content">
      <?php print $headline ?>
      <?php print render($page['help']) ?>
      <?php print $controls ?>
    </div>
  </div>
  <?php endif ?>
</header>

<!-- Main -->
<div class="zone zone--main">
  <div class="container">
    <div class="zone-content">
      <?php print $messages ?>
      <?php print render($page['content']) ?>
    </div>
  </div>
</div>

<!-- Footer -->
<footer class="zone zone--footer">
  <div class="container">
    <div class="zone-content">
      <?php print $page['footer'] ? render($page['footer']) : $copyright ?>
      <?php if ($secondary_menu): ?>
      <div class="footer-links">
        <?php foreach ($secondary_menu as $item): ?>
        <?php print l($item['title'], $item['href']) ?>
        <?php endforeach ?>
      </div>
      <?php endif ?>
      <?php if ($feed_icons): ?>
      <div class="footer-icons"><?php print $feed_icons ?></div>
      <?php endif ?>
    </div>
  </div>
</footer>
